#include<stdio.h>
#include<stdlib.h>
int main()
{   long long A;
	int N,x,y,i;
	scanf("%d%lld",&N,&A);
	if(N<3*A)
	{
		printf("-1");
		return 0;
	}
	printf("%lld 0\n",A);
	if(N%2==0)
	{   
	    i=0;
		N=N/2;
		x=N-A+1; 
    }
	else
	{  
	    i=1;
		N=(N+1)/2;
		x=N-A;
	}
	y=x-2;
    if(x<A)
    {
    	y-=A-x;
    	x=A;
	}
	if(y<0)
	{
		i=0;
		y=0;
	}
	printf("%lld %d\n",A,i);
	printf("%d %d",x,y);
	return 0;
	
}